ELOG(1)

NAME
elog - utility program for Electronic Logbook ELOG

SYNOPSIS

elog -a attribute=value [ -e id ] [ -f file... ] -h host [ -l logbook ] [ -m textfile ] [ -p port ] [ -r id ] [ -s subdir ] [ -u username password ] [ -v ] [ -w password ] message [ -x ]

DESCRIPTION

The Electronic Logbook ELOG can be used to store and retrieve messages through a Web interface. Depending on the configuration, the ELOG system can host one or more logbooks which are stored in separate sections on the server. elog is the standalone client program which can be used from the command line to interact with the ELOG daemon (elogd). The elog message can either be submitted on the command line or piped through `stdin' or in a file with the `-m' flag. For the former case, message with blanks must be enclosed in quotes. Multiple attributes can be specified as well as several attachments. The password must match the write password defined on the server. If user level access is defined on the server (via the `Password file' option), a valid user name / password pair must be specified with the `-u' option.

The elog program makes it possible to submit logbook entries automatically by the system or from scripts. In some shift logbooks this feature is used to enter alarm messages automatically into the logbook.

OPTIONS
elog accepts the following options:

-a attribute=value
    set attribute to value

-e id
    edit existing message of id

-f file...
    attach files while submitting

-h host
    host where elogd is running

-l logbook
    name of logbook or experiment

-m textfile
    submit message from textfile

-p port
    port where elogd is running

-r id
    reply to existing message of id

-s dir
    directory where logbooks reside

-u username password
    username and password

-v  verbose output

-w password
    write password defined on server

-x  suppress email notification

SEE ALSO
elogd(8).

The full documentation for ELOG is maintained as an html manual. You can reach it from the package document directory.

AUTHOR
Written by Stefan Ritt <stefan.ritt@psi.ch>.

This manual page was written by Recai Oktas <roktas@omu.edu.tr>, for the Debian GNU/Linux system (but may be used by others).